2019-11-14 07:47 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004229ReshootR[All Projects] Generalpublic2019-10-23 10:55
Reporterfunkazzista 
Assigned ToWeplProject InfoReshoot R (spieleschreiber)
http://www.whdload.de/games/ReshootR.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0004229: I have a different version from the one the installer supports, so it fails.
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2000

I have a different version from the one the installer supports, so it fails.
Please look for the file called reshootr_digitalpack.lha here (but I can also provide an ISO of the Deluxe CD, if needed):
https://drive.google.com/drive/u/0/folders/0BxgeYRDFfTqYLU1USG80M21VU2c
... probably you'll notice some other games there, too: I've already shared them with StingRay many moons ago, but since he doesn't seem to be interested in patching them, maybe you could give them a look instead? :)
Thanks!
TagsNo tags attached.
MachineA1200
CPU68060 + PPC
CPUSpeed50
ChipSetAGA
GFXCardVoodoo3/Mediator
ChipMem256 KB
FastMem256MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.5
importedyes
Attached Files
  • ? file icon .whdl_register (2,243 bytes) 2019-10-18 10:17 -
    ************************* 17-Ott-19 21:22:00 ************************18.5.5948***
    Slave='ReshootR.Slave' (5812 bytes)
    Resload   7FEC7000 - 7FECF2CC (  33484) at 7FEC7000  GL=$7FED1000
    Slave     7FEDA000 - 7FEDB690 (   5776) at 7FEDA000  BaseMemSize=$197000
    ExpMem    7FDB5000 - 7FE6D000 ( 753664) at 7FDB5000
    attn=FF(60,82) fc=-1 kn=22451 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=3B3E(SS,BC,SB,DC,IC,SCB,ECB,BWT)
    
    The data/disk-files are damaged or it is an unsupported version.
    regular stack:
    $7FE4AF1C 7FDD4DEA 00001000 7FE4393C 00004EF9 7FEDB458 4EF97FED B38E4EF9 7FEDB362
    $7FE4AF3C 4EF97FED B35E4EF9 7FEDB294 4EF97FED B27E4EF9 7FEDB1C8 4EF97FED B1C44EF9
    $7FE4AF5C 7FEDB1C4 4EF97FED B1C04EF9 7FEDB1B8 7FE350C4 7FE42B2C 09007FED B19E0400
    $7FE4AF7C 00440022 00280000 00000000 90620000 00000000 00000000 00022070 DDDDDDDD
    $7FE4AF9C DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx     1B54  D1D1D1D1      1000       12C         1  1FF92745  1FF91BD7  7FE49D04
    Ax A0A0A0A0  A1A1A1A1  7FEC7000  7FEDB5EC  7FE4AF20  7FDD45BE  7FE42B2C
    
                     TTSM III   XNZVC
    PC=FFFFFFFF  SR %0000000000000000  USP=7FE4AF1C  SSP=7FE37578
    VBR=7FED2000  SFC=5  DFC=5  CACR=A0808000  PCR=4300623  BUSCR=0
    TC=8000  URP=7FEDD000  SRP=7FEDD000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000000101100 dmacon=%0000001011010000 adkcon=$1100
    intreq=%0000000001000000
    vposr....A300  vhposr...04A9  joy0dat..0200  joy1dat..0000  clxdat...8001  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.00F8  hhposr...FF00  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000001  tb=B3BC<FFFF	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000005  icr=00  sdr=00    event=000003  icr=04  sdr=00
    
    ? file icon .whdl_register (2,243 bytes) 2019-10-18 10:17 +
  • ? file icon ReshootR.lha (47,343 bytes) 2019-10-20 23:58

-Relationships
+Relationships

-Notes

note ~0007128

Wepl (manager)

Under your download link is the latest download version which is supported by the current install. Are you sure this version is unsupported? I doubt this.

note ~0007134

funkazzista (reporter)

To be honest, I don't even remember if it was the download version that initially gave me problems, but yesterday I tried to install from the CD version again and I noticed two problems in the process:
1) my CD is named differently to what the installer expects, in fact my CD is labelled RESHOOTR: while the installer searches for reshootr_v1.2:
2) after installing it manually and trying to run the game, right after displaying the splash screen, WHDLoad exits with an error: "The data/disk-files are damaged or it is an unsupported version."

Please find attach one of the memory dumps, hope it helps (couldn't attach the others since Mantis is complaining about file size).

note ~0007135

Wepl (manager)

Please add the reshootr.bin from your CD to your google-drive. I can then check and probably add support for it.

note ~0007145

Wepl (manager)

Can you please try attached install. It should work with your cd.

note ~0007169

Wepl (manager)

Updated install is released.

note ~0007172

funkazzista (reporter)

Sorry for not replying earlier, lately I've been quite busy: just to confirm the installer now works properly with my cd, and slave starts cleanly without complaining on wrong version anymore.
So this issue is indeed fixed: I've found other problems elsewhere, but I'll open another issue when I find the time to do some more checking.
+Notes

-Issue History
Date Modified Username Field Change
2019-10-15 16:43 administrator New Issue
2019-10-15 16:43 administrator Status new => assigned
2019-10-15 16:43 administrator Assigned To => Wepl
2019-10-17 00:27 Wepl Note Added: 0007128
2019-10-18 09:59 Wepl Status assigned => feedback
2019-10-18 10:17 funkazzista File Added: .whdl_register
2019-10-18 10:17 funkazzista Note Added: 0007134
2019-10-18 10:17 funkazzista Status feedback => assigned
2019-10-18 10:39 Wepl Note Added: 0007135
2019-10-20 23:58 Wepl File Added: ReshootR.lha
2019-10-20 23:58 Wepl Note Added: 0007145
2019-10-23 10:39 Wepl Status assigned => resolved
2019-10-23 10:39 Wepl Resolution open => fixed
2019-10-23 10:39 Wepl Note Added: 0007169
2019-10-23 10:55 funkazzista Note Added: 0007172
+Issue History